Subject: Re: calling GetCommandLine from EGCS 1.0.2 and other EGCS trouble
From: [email-masked] (Michael Lemke, Sternwarte Bamberg, Phone: +49-951-9522216)

7 Apr 1998 13:13:53 -0700
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]
X-Unparseable-Date: Tue, 31 Mar 1998 17:27:51 MET-1MET DST

In a message of Fri, 27 Mar 1998 13:43:46 GMT
Received on Tue, 31 Mar 1998 08:51:26 MET-1MET DST

Christopher Faylor <[email-masked]> wrote to [email-masked]

>In article <[email-masked]>,
>Michael Lemke  <[email-masked]> wrote:
>>On the weekend, I installed b19 with the b19.1 dll, egcs 1.0.2 from Mumit's
>>site and tried to recompile a simple program for b19 that worked fine on b18.
>>
>>Problem:  It calls GetCommandLine (or what it's called -- no access to PC
>>from here).  In b18 GetCommandLine returns every arg with a space appended,
>>e.g.
>>
>>       foo arg1 arg2 arg3
>>       
>>returns in b18 (without the quotes)
>>
>>       "arg1 "
>>       "arg2 "
>>       "arg3 "
>
>I don't understand what you're saying.  

I don't either after reading this again.

>GetCommandLine returns a pointer
>to the command line string.  Are you perhaps saying that arg3 does not
>have a trailing space?  

Exactly.

>I believe that it might have in B18 but that is
>no longer the case in B19.

Yes, that's what I've found out now, too.  I was relying on the space
being there when I disected the arguments.  Result: same code crashed in
b19.  So I changed the logic a little.

In fact, everything is working just fine now.

Michael

--
Michael Lemke
Sternwarte Bamberg, University of Erlangen-Nürnberg, Germany
([email-masked] or [email-masked])

--
Michael Lemke
Sternwarte Bamberg, University of Erlangen-Nürnberg, Germany
([email-masked] or [email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".